<?php
// This file was auto-generated from sdk-root/src/data/codedeploy/2014-10-06/docs-2.json
return [ 'version' => '2.0', 'service' => '<fullname>AWS CodeDeploy</fullname> <b>Overview</b> <p>This reference guide provides descriptions of the AWS CodeDeploy APIs. For more information about AWS CodeDeploy, see the <a href="docs.aws.amazon.com/codedeploy/latest/userguide">AWS CodeDeploy User Guide</a>.</p> <b>Using the APIs</b> <p>You can use the AWS CodeDeploy APIs to work with the following:</p> <ul> <li> <p>Applications are unique identifiers used by AWS CodeDeploy to ensure the correct combinations of revisions, deployment configurations, and deployment groups are being referenced during deployments.</p> <p>You can use the AWS CodeDeploy APIs to create, delete, get, list, and update applications.</p> </li> <li> <p>Deployment configurations are sets of deployment rules and success and failure conditions used by AWS CodeDeploy during deployments.</p> <p>You can use the AWS CodeDeploy APIs to create, delete, get, and list deployment configurations.</p> </li> <li> <p>Deployment groups are groups of instances to which application revisions can be deployed.</p> <p>You can use the AWS CodeDeploy APIs to create, delete, get, list, and update deployment groups.</p> </li> <li> <p>Instances represent Amazon EC2 instances to which application revisions are deployed. Instances are identified by their Amazon EC2 tags or Auto Scaling group names. Instances belong to deployment groups.</p> <p>You can use the AWS CodeDeploy APIs to get and list instance.</p> </li> <li> <p>Deployments represent the process of deploying revisions to instances.</p> <p>You can use the AWS CodeDeploy APIs to create, get, list, and stop deployments.</p> </li> <li> <p>Application revisions are archive files stored in Amazon S3 buckets or GitHub repositories. These revisions contain source content (such as source code, web pages, executable files, and deployment scripts) along with an application specification (AppSpec) file. (The AppSpec file is unique to AWS CodeDeploy; it defines the deployment actions you want AWS CodeDeploy to execute.) Ffor application revisions stored in Amazon S3 buckets, an application revision is uniquely identified by its Amazon S3 object key and its ETag, version, or both. For application revisions stored in GitHub repositories, an application revision is uniquely identified by its repository name and commit ID. Application revisions are deployed through deployment groups.</p> <p>You can use the AWS CodeDeploy APIs to get, list, and register application revisions.</p> </li> </ul>', 'operations' => [ 'AddTagsToOnPremisesInstances' => '<p>Adds tags to on-premises instances.</p>', 'BatchGetApplicationRevisions' => '<p>Gets information about one or more application revisions.</p>', 'BatchGetApplications' => '<p>Gets information about one or more applications.</p>', 'BatchGetDeploymentGroups' => '<p>Get information about one or more deployment groups.</p>', 'BatchGetDeploymentInstances' => '<p>Gets information about one or more instance that are part of a deployment group.</p>', 'BatchGetDeployments' => '<p>Gets information about one or more deployments.</p>', 'BatchGetOnPremisesInstances' => '<p>Gets information about one or more on-premises instances.</p>', 'CreateApplication' => '<p>Creates an application.</p>', 'CreateDeployment' => '<p>Deploys an application revision through the specified deployment group.</p>', 'CreateDeploymentConfig' => '<p>Creates a deployment configuration.</p>', 'CreateDeploymentGroup' => '<p>Creates a deployment group to which application revisions will be deployed.</p>', 'DeleteApplication' => '<p>Deletes an application.</p>', 'DeleteDeploymentConfig' => '<p>Deletes a deployment configuration.</p> <note>A deployment configuration cannot be deleted if it is currently in use. Predefined configurations cannot be deleted.</note>', 'DeleteDeploymentGroup' => '<p>Deletes a deployment group.</p>', 'DeregisterOnPremisesInstance' => '<p>Deregisters an on-premises instance.</p>', 'GetApplication' => '<p>Gets information about an application.</p>', 'GetApplicationRevision' => '<p>Gets information about an application revision.</p>', 'GetDeployment' => '<p>Gets information about a deployment.</p>', 'GetDeploymentConfig' => '<p>Gets information about a deployment configuration.</p>', 'GetDeploymentGroup' => '<p>Gets information about a deployment group.</p>', 'GetDeploymentInstance' => '<p>Gets information about an instance as part of a deployment.</p>', 'GetOnPremisesInstance' => '<p>Gets information about an on-premises instance.</p>', 'ListApplicationRevisions' => '<p>Lists information about revisions for an application.</p>', 'ListApplications' => '<p>Lists the applications registered with the applicable IAM user or AWS account.</p>', 'ListDeploymentConfigs' => '<p>Lists the deployment configurations with the applicable IAM user or AWS account.</p>', 'ListDeploymentGroups' => '<p>Lists the deployment groups for an application registered with the applicable IAM user or AWS account.</p>', 'ListDeploymentInstances' => '<p>Lists the instance for a deployment associated with the applicable IAM user or AWS account.</p>', 'ListDeployments' => '<p>Lists the deployments in a deployment group for an application registered with the applicable IAM user or AWS account.</p>', 'ListOnPremisesInstances' => '<p>Gets a list of names for one or more on-premises instances.</p> <p>Unless otherwise specified, both registered and deregistered on-premises instance names will be listed. To list only registered or deregistered on-premises instance names, use the registration status parameter.</p>', 'RegisterApplicationRevision' => '<p>Registers with AWS CodeDeploy a revision for the specified application.</p>', 'RegisterOnPremisesInstance' => '<p>Registers an on-premises instance.</p>', 'RemoveTagsFromOnPremisesInstances' => '<p>Removes one or more tags from one or more on-premises instances.</p>', 'StopDeployment' => '<p>Attempts to stop an ongoing deployment.</p>', 'UpdateApplication' => '<p>Changes the name of an application.</p>', 'UpdateDeploymentGroup' => '<p>Changes information about a deployment group.</p>', ], 'shapes' => [ 'AddTagsToOnPremisesInstancesInput' => [ 'base' => '<p>Represents the input of, and adds tags to, an on-premises instance operation.</p>', 'refs' => [], ], 'ApplicationAlreadyExistsException' => [ 'base' => '<p>An application with the specified name already exists with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'ApplicationDoesNotExistException' => [ 'base' => '<p>The application does not exist with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'ApplicationId' => [ 'base' => NULL, 'refs' => [ 'ApplicationInfo$applicationId' => '<p>The application ID.</p>', 'CreateApplicationOutput$applicationId' => '<p>A unique application ID.</p>', ], ], 'ApplicationInfo' => [ 'base' => '<p>Information about an application.</p>', 'refs' => [ 'ApplicationsInfoList$member' => NULL, 'GetApplicationOutput$application' => '<p>Information about the application.</p>', ], ], 'ApplicationLimitExceededException' => [ 'base' => '<p>More applications were attempted to be created than are allowed.</p>', 'refs' => [], ], 'ApplicationName' => [ 'base' => NULL, 'refs' => [ 'ApplicationInfo$applicationName' => '<p>The application name.</p>', 'ApplicationsList$member' => NULL, 'BatchGetApplicationRevisionsInput$applicationName' => '<p>The name of an AWS CodeDeploy application about which to get revision information.</p>', 'BatchGetApplicationRevisionsOutput$applicationName' => '<p>The name of the application that corresponds to the revisions.</p>', 'BatchGetDeploymentGroupsInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'CreateApplicationInput$applicationName' => '<p>The name of the application. This name must be unique with the applicable IAM user or AWS account.</p>', 'CreateDeploymentGroupInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'CreateDeploymentInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'DeleteApplicationInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'DeleteDeploymentGroupInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'DeploymentGroupInfo$applicationName' => '<p>The application name.</p>', 'DeploymentInfo$applicationName' => '<p>The application name.</p>', 'GetApplicationInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'GetApplicationRevisionInput$applicationName' => '<p>The name of the application that corresponds to the revision.</p>', 'GetApplicationRevisionOutput$applicationName' => '<p>The name of the application that corresponds to the revision.</p>', 'GetDeploymentGroupInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'ListApplicationRevisionsInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'ListDeploymentGroupsInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'ListDeploymentGroupsOutput$applicationName' => '<p>The application name.</p>', 'ListDeploymentsInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'RegisterApplicationRevisionInput$applicationName' => '<p>The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.</p>', 'UpdateApplicationInput$applicationName' => '<p>The current name of the application you want to change.</p>', 'UpdateApplicationInput$newApplicationName' => '<p>The new name to give the application.</p>', 'UpdateDeploymentGroupInput$applicationName' => '<p>The application name corresponding to the deployment group to update.</p>', ], ], 'ApplicationNameRequiredException' => [ 'base' => '<p>The minimum number of required application names was not specified.</p>', 'refs' => [], ], 'ApplicationRevisionSortBy' => [ 'base' => NULL, 'refs' => [ 'ListApplicationRevisionsInput$sortBy' => '<p>The column name to use to sort the list results:</p> <ul> <li>registerTime: Sort by the time the revisions were registered with AWS CodeDeploy.</li> <li>firstUsedTime: Sort by the time the revisions were first used in a deployment.</li> <li>lastUsedTime: Sort by the time the revisions were last used in a deployment.</li> </ul> <p>If not specified or set to null, the results will be returned in an arbitrary order.</p>', ], ], 'ApplicationsInfoList' => [ 'base' => NULL, 'refs' => [ 'BatchGetApplicationsOutput$applicationsInfo' => '<p>Information about the applications.</p>', ], ], 'ApplicationsList' => [ 'base' => NULL, 'refs' => [ 'BatchGetApplicationsInput$applicationNames' => '<p>A list of application names separated by spaces.</p>', 'ListApplicationsOutput$applications' => '<p>A list of application names.</p>', ], ], 'AutoScalingGroup' => [ 'base' => '<p>Information about an Auto Scaling group.</p>', 'refs' => [ 'AutoScalingGroupList$member' => NULL, ], ], 'AutoScalingGroupHook' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroup$hook' => '<p>An Auto Scaling lifecycle event hook name.</p>', ], ], 'AutoScalingGroupList' => [ 'base' => NULL, 'refs' => [ 'DeleteDeploymentGroupOutput$hooksNotCleanedUp' => '<p>If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the Amazon EC2 instances in the Auto Scaling group.</p>', 'DeploymentGroupInfo$autoScalingGroups' => '<p>A list of associated Auto Scaling groups.</p>', 'UpdateDeploymentGroupOutput$hooksNotCleanedUp' => '<p>If the output contains no data, and the corresponding deployment group contained at least one Auto Scaling group, AWS CodeDeploy successfully removed all corresponding Auto Scaling lifecycle event hooks from the AWS account. If the output contains data, AWS CodeDeploy could not remove some Auto Scaling lifecycle event hooks from the AWS account.</p>', ], ], 'AutoScalingGroupName' => [ 'base' => NULL, 'refs' => [ 'AutoScalingGroup$name' => '<p>The Auto Scaling group name.</p>', 'AutoScalingGroupNameList$member' => NULL, ], ], 'AutoScalingGroupNameList' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupInput$autoScalingGroups' => '<p>A list of associated Auto Scaling groups.</p>', 'UpdateDeploymentGroupInput$autoScalingGroups' => '<p>The replacement list of Auto Scaling groups to be included in the deployment group, if you want to change them. To keep the Auto Scaling groups, enter their names. To remove Auto Scaling groups, do not enter any Auto Scaling group names.</p>', ], ], 'BatchGetApplicationRevisionsInput' => [ 'base' => '<p>Represents the input of a batch get application revisions operation.</p>', 'refs' => [], ], 'BatchGetApplicationRevisionsOutput' => [ 'base' => '<p>Represents the output of a batch get application revisions operation.</p>', 'refs' => [], ], 'BatchGetApplicationsInput' => [ 'base' => '<p>Represents the input of a batch get applications operation.</p>', 'refs' => [], ], 'BatchGetApplicationsOutput' => [ 'base' => '<p>Represents the output of a batch get applications operation.</p>', 'refs' => [], ], 'BatchGetDeploymentGroupsInput' => [ 'base' => '<p>Represents the input of a batch get deployment groups operation.</p>', 'refs' => [], ], 'BatchGetDeploymentGroupsOutput' => [ 'base' => '<p>Represents the output of a batch get deployment groups operation.</p>', 'refs' => [], ], 'BatchGetDeploymentInstancesInput' => [ 'base' => '<p>Represents the input of a batch get deployment instances operation.</p>', 'refs' => [], ], 'BatchGetDeploymentInstancesOutput' => [ 'base' => '<p>Represents the output of a batch get deployment instance operation.</p>', 'refs' => [], ], 'BatchGetDeploymentsInput' => [ 'base' => '<p>Represents the input of a batch get deployments operation.</p>', 'refs' => [], ], 'BatchGetDeploymentsOutput' => [ 'base' => '<p>Represents the output of a batch get deployments operation.</p>', 'refs' => [], ], 'BatchGetOnPremisesInstancesInput' => [ 'base' => '<p>Represents the input of a batch get on-premises instances operation.</p>', 'refs' => [], ], 'BatchGetOnPremisesInstancesOutput' => [ 'base' => '<p>Represents the output of a batch get on-premises instances operation.</p>', 'refs' => [], ], 'BatchLimitExceededException' => [ 'base' => '<p>The maximum number of names or IDs allowed for this request (100) was exceeded.</p>', 'refs' => [], ], 'Boolean' => [ 'base' => NULL, 'refs' => [ 'ApplicationInfo$linkedToGitHub' => '<p>True if the user has authenticated with GitHub for the specified application; otherwise, false.</p>', 'CreateDeploymentInput$ignoreApplicationStopFailures' => '<p>If set to true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.</p> <p>If set to false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to fail to an instance, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.</p>', 'DeploymentInfo$ignoreApplicationStopFailures' => '<p>If true, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will not be considered to have failed at that point and will continue on to the BeforeInstall deployment lifecycle event.</p> <p>If false or not specified, then if the deployment causes the ApplicationStop deployment lifecycle event to an instance to fail, the deployment to that instance will stop, and the deployment to that instance will be considered to have failed.</p>', ], ], 'BucketNameFilterRequiredException' => [ 'base' => '<p>A bucket name is required, but was not provided.</p>', 'refs' => [], ], 'BundleType' => [ 'base' => NULL, 'refs' => [ 'S3Location$bundleType' => '<p>The file type of the application revision. Must be one of the following:</p> <ul> <li>tar: A tar archive file.</li> <li>tgz: A compressed tar archive file.</li> <li>zip: A zip archive file.</li> </ul>', ], ], 'CommitId' => [ 'base' => NULL, 'refs' => [ 'GitHubLocation$commitId' => '<p>The SHA1 commit ID of the GitHub commit that represents the bundled artifacts for the application revision.</p>', ], ], 'CreateApplicationInput' => [ 'base' => '<p>Represents the input of a create application operation.</p>', 'refs' => [], ], 'CreateApplicationOutput' => [ 'base' => '<p>Represents the output of a create application operation.</p>', 'refs' => [], ], 'CreateDeploymentConfigInput' => [ 'base' => '<p>Represents the input of a create deployment configuration operation.</p>', 'refs' => [], ], 'CreateDeploymentConfigOutput' => [ 'base' => '<p>Represents the output of a create deployment configuration operation.</p>', 'refs' => [], ], 'CreateDeploymentGroupInput' => [ 'base' => '<p>Represents the input of a create deployment group operation.</p>', 'refs' => [], ], 'CreateDeploymentGroupOutput' => [ 'base' => '<p>Represents the output of a create deployment group operation.</p>', 'refs' => [], ], 'CreateDeploymentInput' => [ 'base' => '<p>Represents the input of a create deployment operation.</p>', 'refs' => [], ], 'CreateDeploymentOutput' => [ 'base' => '<p>Represents the output of a create deployment operation.</p>', 'refs' => [], ], 'DeleteApplicationInput' => [ 'base' => '<p>Represents the input of a delete application operation.</p>', 'refs' => [], ], 'DeleteDeploymentConfigInput' => [ 'base' => '<p>Represents the input of a delete deployment configuration operation.</p>', 'refs' => [], ], 'DeleteDeploymentGroupInput' => [ 'base' => '<p>Represents the input of a delete deployment group operation.</p>', 'refs' => [], ], 'DeleteDeploymentGroupOutput' => [ 'base' => '<p>Represents the output of a delete deployment group operation.</p>', 'refs' => [], ], 'DeploymentAlreadyCompletedException' => [ 'base' => '<p>The deployment is already complete.</p>', 'refs' => [], ], 'DeploymentConfigAlreadyExistsException' => [ 'base' => '<p>A deployment configuration with the specified name already exists with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'DeploymentConfigDoesNotExistException' => [ 'base' => '<p>The deployment configuration does not exist with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'DeploymentConfigId' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentConfigOutput$deploymentConfigId' => '<p>A unique deployment configuration ID.</p>', 'DeploymentConfigInfo$deploymentConfigId' => '<p>The deployment configuration ID.</p>', ], ], 'DeploymentConfigInUseException' => [ 'base' => '<p>The deployment configuration is still in use.</p>', 'refs' => [], ], 'DeploymentConfigInfo' => [ 'base' => '<p>Information about a deployment configuration.</p>', 'refs' => [ 'GetDeploymentConfigOutput$deploymentConfigInfo' => '<p>Information about the deployment configuration.</p>', ], ], 'DeploymentConfigLimitExceededException' => [ 'base' => '<p>The deployment configurations limit was exceeded.</p>', 'refs' => [], ], 'DeploymentConfigName' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentConfigInput$deploymentConfigName' => '<p>The name of the deployment configuration to create.</p>', 'CreateDeploymentGroupInput$deploymentConfigName' => '<p>If specified, the deployment configuration name can be either one of the predefined configurations provided with AWS CodeDeploy or a custom deployment configuration that you create by calling the create deployment configuration operation.</p> <note> <p>CodeDeployDefault.OneAtATime is the default deployment configuration. It is used if a configuration isn\'t specified for the deployment or the deployment group.</p> </note> <p>The predefined deployment configurations include the following:</p> <ul> <li> <p><b>CodeDeployDefault.AllAtOnce</b> attempts to deploy an application revision to as many instance as possible at once. The status of the overall deployment will be displayed as <b>Succeeded</b> if the application revision is deployed to one or more of the instances. The status of the overall deployment will be displayed as <b>Failed</b> if the application revision is not deployed to any of the instances. Using an example of nine instance, CodeDeployDefault.AllAtOnce will attempt to deploy to all nine instance at once. The overall deployment will succeed if deployment to even a single instance is successful; it will fail only if deployments to all nine instance fail. </p> </li> <li> <p><b>CodeDeployDefault.HalfAtATime</b> deploys to up to half of the instances at a time (with fractions rounded down). The overall deployment succeeds if the application revision is deployed to at least half of the instances (with fractions rounded up); otherwise, the deployment fails. In the example of nine instances, it will deploy to up to four instance at a time. The overall deployment succeeds if deployment to five or more instances succeed; otherwise, the deployment fails. The deployment may be successfully deployed to some instances even if the overall deployment fails.</p> </li> <li> <p><b>CodeDeployDefault.OneAtATime</b> deploys the application revision to only one instance at a time.</p> <p>For deployment groups that contain more than one instance:</p> <ul> <li> <p>The overall deployment succeeds if the application revision is deployed to all of the instances. The exception to this rule is if deployment to the last instance fails, the overall deployment still succeeds. This is because AWS CodeDeploy allows only one instance at a time to be taken offline with the CodeDeployDefault.OneAtATime configuration.</p> </li> <li> <p>The overall deployment fails as soon as the application revision fails to be deployed to any but the last instance. The deployment may be successfully deployed to some instances even if the overall deployment fails.</p> </li> <li> <p>In an example using nine instance, it will deploy to one instance at a time. The overall deployment succeeds if deployment to the first eight instance is successful; the overall deployment fails if deployment to any of the first eight instance fails.</p> </li> </ul> <p>For deployment groups that contain only one instance, the overall deployment is successful only if deployment to the single instance is successful</p> </li> </ul>', 'CreateDeploymentInput$deploymentConfigName' => '<p>The name of a deployment configuration associated with the applicable IAM user or AWS account.</p> <p>If not specified, the value configured in the deployment group will be used as the default. If the deployment group does not have a deployment configuration associated with it, then CodeDeployDefault.OneAtATime will be used by default.</p>', 'DeleteDeploymentConfigInput$deploymentConfigName' => '<p>The name of a deployment configuration associated with the applicable IAM user or AWS account.</p>', 'DeploymentConfigInfo$deploymentConfigName' => '<p>The deployment configuration name.</p>', 'DeploymentConfigsList$member' => NULL, 'DeploymentGroupInfo$deploymentConfigName' => '<p>The deployment configuration name.</p>', 'DeploymentInfo$deploymentConfigName' => '<p>The deployment configuration name.</p>', 'GetDeploymentConfigInput$deploymentConfigName' => '<p>The name of a deployment configuration associated with the applicable IAM user or AWS account.</p>', 'UpdateDeploymentGroupInput$deploymentConfigName' => '<p>The replacement deployment configuration name to use, if you want to change it.</p>', ], ], 'DeploymentConfigNameRequiredException' => [ 'base' => '<p>The deployment configuration name was not specified.</p>', 'refs' => [], ], 'DeploymentConfigsList' => [ 'base' => NULL, 'refs' => [ 'ListDeploymentConfigsOutput$deploymentConfigsList' => '<p>A list of deployment configurations, including built-in configurations such as CodeDeployDefault.OneAtATime.</p>', ], ], 'DeploymentCreator' => [ 'base' => NULL, 'refs' => [ 'DeploymentInfo$creator' => '<p>The means by which the deployment was created:</p> <ul> <li>user: A user created the deployment.</li> <li>autoscaling: Auto Scaling created the deployment.</li> </ul>', ], ], 'DeploymentDoesNotExistException' => [ 'base' => '<p>The deployment does not exist with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'DeploymentGroupAlreadyExistsException' => [ 'base' => '<p>A deployment group with the specified name already exists with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'DeploymentGroupDoesNotExistException' => [ 'base' => '<p>The named deployment group does not exist with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'DeploymentGroupId' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupOutput$deploymentGroupId' => '<p>A unique deployment group ID.</p>', 'DeploymentGroupInfo$deploymentGroupId' => '<p>The deployment group ID.</p>', ], ], 'DeploymentGroupInfo' => [ 'base' => '<p>Information about a deployment group.</p>', 'refs' => [ 'DeploymentGroupInfoList$member' => NULL, 'GetDeploymentGroupOutput$deploymentGroupInfo' => '<p>Information about the deployment group.</p>', ], ], 'DeploymentGroupInfoList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentGroupsOutput$deploymentGroupsInfo' => '<p>Information about the deployment groups.</p>', ], ], 'DeploymentGroupLimitExceededException' => [ 'base' => '<p> The deployment groups limit was exceeded.</p>', 'refs' => [], ], 'DeploymentGroupName' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupInput$deploymentGroupName' => '<p>The name of a new deployment group for the specified application.</p>', 'CreateDeploymentInput$deploymentGroupName' => '<p>The name of the deployment group.</p>', 'DeleteDeploymentGroupInput$deploymentGroupName' => '<p>The name of an existing deployment group for the specified application.</p>', 'DeploymentGroupInfo$deploymentGroupName' => '<p>The deployment group name.</p>', 'DeploymentGroupsList$member' => NULL, 'DeploymentInfo$deploymentGroupName' => '<p>The deployment group name.</p>', 'GetDeploymentGroupInput$deploymentGroupName' => '<p>The name of an existing deployment group for the specified application.</p>', 'ListDeploymentsInput$deploymentGroupName' => '<p>The name of an existing deployment group for the specified application.</p>', 'UpdateDeploymentGroupInput$currentDeploymentGroupName' => '<p>The current name of the deployment group.</p>', 'UpdateDeploymentGroupInput$newDeploymentGroupName' => '<p>The new name of the deployment group, if you want to change it.</p>', ], ], 'DeploymentGroupNameRequiredException' => [ 'base' => '<p>The deployment group name was not specified.</p>', 'refs' => [], ], 'DeploymentGroupsList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentGroupsInput$deploymentGroupNames' => '<p>The deployment groups\' names.</p>', 'GenericRevisionInfo$deploymentGroups' => '<p>The deployment groups for which this is the current target revision.</p>', 'ListDeploymentGroupsOutput$deploymentGroups' => '<p>A list of corresponding deployment group names.</p>', ], ], 'DeploymentId' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentInstancesInput$deploymentId' => '<p>The unique ID of a deployment.</p>', 'CreateDeploymentOutput$deploymentId' => '<p>A unique deployment ID.</p>', 'DeploymentInfo$deploymentId' => '<p>The deployment ID.</p>', 'DeploymentsList$member' => NULL, 'GetDeploymentInput$deploymentId' => '<p>A deployment ID associated with the applicable IAM user or AWS account.</p>', 'GetDeploymentInstanceInput$deploymentId' => '<p>The unique ID of a deployment.</p>', 'InstanceSummary$deploymentId' => '<p>The deployment ID.</p>', 'ListDeploymentInstancesInput$deploymentId' => '<p>The unique ID of a deployment.</p>', 'StopDeploymentInput$deploymentId' => '<p>The unique ID of a deployment.</p>', ], ], 'DeploymentIdRequiredException' => [ 'base' => '<p>At least one deployment ID must be specified.</p>', 'refs' => [], ], 'DeploymentInfo' => [ 'base' => '<p>Information about a deployment.</p>', 'refs' => [ 'DeploymentsInfoList$member' => NULL, 'GetDeploymentOutput$deploymentInfo' => '<p>Information about the deployment.</p>', ], ], 'DeploymentLimitExceededException' => [ 'base' => '<p>The number of allowed deployments was exceeded.</p>', 'refs' => [], ], 'DeploymentNotStartedException' => [ 'base' => '<p>The specified deployment has not started.</p>', 'refs' => [], ], 'DeploymentOverview' => [ 'base' => '<p>Information about the deployment status of the instances in the deployment.</p>', 'refs' => [ 'DeploymentInfo$deploymentOverview' => '<p>A summary of the deployment status of the instances in the deployment.</p>', ], ], 'DeploymentStatus' => [ 'base' => NULL, 'refs' => [ 'DeploymentInfo$status' => '<p>The current state of the deployment as a whole.</p>', 'DeploymentStatusList$member' => NULL, ], ], 'DeploymentStatusList' => [ 'base' => NULL, 'refs' => [ 'ListDeploymentsInput$includeOnlyStatuses' => '<p>A subset of deployments to list by status:</p> <ul> <li>Created: Include created deployments in the resulting list.</li> <li>Queued: Include queued deployments in the resulting list.</li> <li>In Progress: Include in-progress deployments in the resulting list.</li> <li>Succeeded: Include successful deployments in the resulting list.</li> <li>Failed: Include failed deployments in the resulting list.</li> <li>Stopped: Include stopped deployments in the resulting list.</li> </ul>', ], ], 'DeploymentsInfoList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentsOutput$deploymentsInfo' => '<p>Information about the deployments.</p>', ], ], 'DeploymentsList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentsInput$deploymentIds' => '<p>A list of deployment IDs, separated by spaces.</p>', 'ListDeploymentsOutput$deployments' => '<p>A list of deployment IDs.</p>', ], ], 'DeregisterOnPremisesInstanceInput' => [ 'base' => '<p>Represents the input of a deregister on-premises instance operation.</p>', 'refs' => [], ], 'Description' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentInput$description' => '<p>A comment about the deployment.</p>', 'DeploymentInfo$description' => '<p>A comment about the deployment.</p>', 'GenericRevisionInfo$description' => '<p>A comment about the revision.</p>', 'RegisterApplicationRevisionInput$description' => '<p>A comment about the revision.</p>', ], ], 'DescriptionTooLongException' => [ 'base' => '<p>The description is too long.</p>', 'refs' => [], ], 'Diagnostics' => [ 'base' => '<p>Diagnostic information about executable scripts that are part of a deployment.</p>', 'refs' => [ 'LifecycleEvent$diagnostics' => '<p>Diagnostic information about the deployment lifecycle event.</p>', ], ], 'EC2TagFilter' => [ 'base' => '<p>Information about a tag filter.</p>', 'refs' => [ 'EC2TagFilterList$member' => NULL, ], ], 'EC2TagFilterList' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupInput$ec2TagFilters' => '<p>The Amazon EC2 tags on which to filter.</p>', 'DeploymentGroupInfo$ec2TagFilters' => '<p>The Amazon EC2 tags on which to filter.</p>', 'UpdateDeploymentGroupInput$ec2TagFilters' => '<p>The replacement set of Amazon EC2 tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.</p>', ], ], 'EC2TagFilterType' => [ 'base' => NULL, 'refs' => [ 'EC2TagFilter$Type' => '<p>The tag filter type:</p> <ul> <li>KEY_ONLY: Key only.</li> <li>VALUE_ONLY: Value only.</li> <li>KEY_AND_VALUE: Key and value.</li> </ul>', ], ], 'ETag' => [ 'base' => NULL, 'refs' => [ 'S3Location$eTag' => '<p>The ETag of the Amazon S3 object that represents the bundled artifacts for the application revision.</p> <p>If the ETag is not specified as an input parameter, ETag validation of the object will be skipped.</p>', ], ], 'ErrorCode' => [ 'base' => NULL, 'refs' => [ 'ErrorInformation$code' => '<p>The error code:</p> <ul> <li>APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.</li> <li>DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.</li> <li>HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.</li> <li>HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.</li> <li>IAM_ROLE_MISSING: The service role cannot be accessed.</li> <li>IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.</li> <li>INTERNAL_ERROR: There was an internal error.</li> <li>NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.</li> <li>NO_INSTANCES: No instance were specified, or no instance can be found.</li> <li>OVER_MAX_INSTANCES: The maximum number of instance was exceeded.</li> <li>THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.</li> <li>TIMEOUT: The deployment has timed out.</li> <li>REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.</li> </ul>', ], ], 'ErrorInformation' => [ 'base' => '<p>Information about a deployment error.</p>', 'refs' => [ 'DeploymentInfo$errorInformation' => '<p>Information about any error associated with this deployment.</p>', ], ], 'ErrorMessage' => [ 'base' => NULL, 'refs' => [ 'BatchGetApplicationRevisionsOutput$errorMessage' => '<p>Information about errors that may have occurred during the API call.</p>', 'BatchGetDeploymentGroupsOutput$errorMessage' => '<p>Information about errors that may have occurred during the API call.</p>', 'BatchGetDeploymentInstancesOutput$errorMessage' => '<p>Information about errors that may have occurred during the API call.</p>', 'ErrorInformation$message' => '<p>An accompanying error message.</p>', ], ], 'GenericRevisionInfo' => [ 'base' => '<p>Information about an application revision.</p>', 'refs' => [ 'GetApplicationRevisionOutput$revisionInfo' => '<p>General information about the revision.</p>', 'RevisionInfo$genericRevisionInfo' => NULL, ], ], 'GetApplicationInput' => [ 'base' => '<p>Represents the input of a get application operation.</p>', 'refs' => [], ], 'GetApplicationOutput' => [ 'base' => '<p>Represents the output of a get application operation.</p>', 'refs' => [], ], 'GetApplicationRevisionInput' => [ 'base' => '<p>Represents the input of a get application revision operation.</p>', 'refs' => [], ], 'GetApplicationRevisionOutput' => [ 'base' => '<p>Represents the output of a get application revision operation.</p>', 'refs' => [], ], 'GetDeploymentConfigInput' => [ 'base' => '<p>Represents the input of a get deployment configuration operation.</p>', 'refs' => [], ], 'GetDeploymentConfigOutput' => [ 'base' => '<p>Represents the output of a get deployment configuration operation.</p>', 'refs' => [], ], 'GetDeploymentGroupInput' => [ 'base' => '<p>Represents the input of a get deployment group operation.</p>', 'refs' => [], ], 'GetDeploymentGroupOutput' => [ 'base' => '<p>Represents the output of a get deployment group operation.</p>', 'refs' => [], ], 'GetDeploymentInput' => [ 'base' => '<p>Represents the input of a get deployment operation.</p>', 'refs' => [], ], 'GetDeploymentInstanceInput' => [ 'base' => '<p>Represents the input of a get deployment instance operation.</p>', 'refs' => [], ], 'GetDeploymentInstanceOutput' => [ 'base' => '<p>Represents the output of a get deployment instance operation.</p>', 'refs' => [], ], 'GetDeploymentOutput' => [ 'base' => '<p>Represents the output of a get deployment operation.</p>', 'refs' => [], ], 'GetOnPremisesInstanceInput' => [ 'base' => '<p>Represents the input of a get on-premises instance operation.</p>', 'refs' => [], ], 'GetOnPremisesInstanceOutput' => [ 'base' => '<p>Represents the output of a get on-premises instance operation.</p>', 'refs' => [], ], 'GitHubLocation' => [ 'base' => '<p>Information about the location of application artifacts stored in GitHub.</p>', 'refs' => [ 'RevisionLocation$gitHubLocation' => NULL, ], ], 'IamUserArn' => [ 'base' => NULL, 'refs' => [ 'InstanceInfo$iamUserArn' => '<p>The IAM user ARN associated with the on-premises instance.</p>', 'RegisterOnPremisesInstanceInput$iamUserArn' => '<p>The ARN of the IAM user to associate with the on-premises instance.</p>', ], ], 'IamUserArnAlreadyRegisteredException' => [ 'base' => '<p>The specified IAM user ARN is already registered with an on-premises instance.</p>', 'refs' => [], ], 'IamUserArnRequiredException' => [ 'base' => '<p>An IAM user ARN was not specified.</p>', 'refs' => [], ], 'InstanceArn' => [ 'base' => NULL, 'refs' => [ 'InstanceInfo$instanceArn' => '<p>The ARN of the on-premises instance.</p>', ], ], 'InstanceCount' => [ 'base' => NULL, 'refs' => [ 'DeploymentOverview$Pending' => '<p>The number of instances in the deployment in a pending state.</p>', 'DeploymentOverview$InProgress' => '<p>The number of instances in which the deployment is in progress.</p>', 'DeploymentOverview$Succeeded' => '<p>The number of instances in the deployment to which revisions have been successfully deployed.</p>', 'DeploymentOverview$Failed' => '<p>The number of instances in the deployment in a failed state.</p>', 'DeploymentOverview$Skipped' => '<p>The number of instances in the deployment in a skipped state.</p>', ], ], 'InstanceDoesNotExistException' => [ 'base' => '<p>The specified instance does not exist in the deployment group.</p>', 'refs' => [], ], 'InstanceId' => [ 'base' => NULL, 'refs' => [ 'GetDeploymentInstanceInput$instanceId' => '<p>The unique ID of an instance in the deployment group.</p>', 'InstanceSummary$instanceId' => '<p>The instance ID.</p>', 'InstancesList$member' => NULL, ], ], 'InstanceIdRequiredException' => [ 'base' => '<p>The instance ID was not specified.</p>', 'refs' => [], ], 'InstanceInfo' => [ 'base' => '<p>Information about an on-premises instance.</p>', 'refs' => [ 'GetOnPremisesInstanceOutput$instanceInfo' => '<p>Information about the on-premises instance.</p>', 'InstanceInfoList$member' => NULL, ], ], 'InstanceInfoList' => [ 'base' => NULL, 'refs' => [ 'BatchGetOnPremisesInstancesOutput$instanceInfos' => '<p>Information about the on-premises instances.</p>', ], ], 'InstanceLimitExceededException' => [ 'base' => '<p>The maximum number of allowed on-premises instances in a single call was exceeded.</p>', 'refs' => [], ], 'InstanceName' => [ 'base' => NULL, 'refs' => [ 'DeregisterOnPremisesInstanceInput$instanceName' => '<p>The name of the on-premises instance to deregister.</p>', 'GetOnPremisesInstanceInput$instanceName' => '<p>The name of the on-premises instance about which to get information.</p>', 'InstanceInfo$instanceName' => '<p>The name of the on-premises instance.</p>', 'InstanceNameList$member' => NULL, 'RegisterOnPremisesInstanceInput$instanceName' => '<p>The name of the on-premises instance to register.</p>', ], ], 'InstanceNameAlreadyRegisteredException' => [ 'base' => '<p>The specified on-premises instance name is already registered.</p>', 'refs' => [], ], 'InstanceNameList' => [ 'base' => NULL, 'refs' => [ 'AddTagsToOnPremisesInstancesInput$instanceNames' => '<p>The names of the on-premises instances to which to add tags.</p>', 'BatchGetOnPremisesInstancesInput$instanceNames' => '<p>The names of the on-premises instances about which to get information.</p>', 'ListOnPremisesInstancesOutput$instanceNames' => '<p>The list of matching on-premises instance names.</p>', 'RemoveTagsFromOnPremisesInstancesInput$instanceNames' => '<p>The names of the on-premises instances from which to remove tags.</p>', ], ], 'InstanceNameRequiredException' => [ 'base' => '<p>An on-premises instance name was not specified.</p>', 'refs' => [], ], 'InstanceNotRegisteredException' => [ 'base' => '<p>The specified on-premises instance is not registered.</p>', 'refs' => [], ], 'InstanceStatus' => [ 'base' => NULL, 'refs' => [ 'InstanceStatusList$member' => NULL, 'InstanceSummary$status' => '<p>The deployment status for this instance:</p> <ul> <li>Pending: The deployment is pending for this instance.</li> <li>In Progress: The deployment is in progress for this instance.</li> <li>Succeeded: The deployment has succeeded for this instance.</li> <li>Failed: The deployment has failed for this instance.</li> <li>Skipped: The deployment has been skipped for this instance.</li> <li>Unknown: The deployment status is unknown for this instance.</li> </ul>', ], ], 'InstanceStatusList' => [ 'base' => NULL, 'refs' => [ 'ListDeploymentInstancesInput$instanceStatusFilter' => '<p>A subset of instances to list by status:</p> <ul> <li>Pending: Include those instance with pending deployments.</li> <li>InProgress: Include those instance where deployments are still in progress.</li> <li>Succeeded: Include those instances with successful deployments.</li> <li>Failed: Include those instance with failed deployments.</li> <li>Skipped: Include those instance with skipped deployments.</li> <li>Unknown: Include those instance with deployments in an unknown state.</li> </ul>', ], ], 'InstanceSummary' => [ 'base' => '<p>Information about an instance in a deployment.</p>', 'refs' => [ 'GetDeploymentInstanceOutput$instanceSummary' => '<p>Information about the instance.</p>', 'InstanceSummaryList$member' => NULL, ], ], 'InstanceSummaryList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentInstancesOutput$instancesSummary' => '<p>Information about the instance.</p>', ], ], 'InstancesList' => [ 'base' => NULL, 'refs' => [ 'BatchGetDeploymentInstancesInput$instanceIds' => '<p>The unique IDs of instances in the deployment group.</p>', 'ListDeploymentInstancesOutput$instancesList' => '<p>A list of instance IDs.</p>', ], ], 'InvalidApplicationNameException' => [ 'base' => '<p>The application name was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidAutoScalingGroupException' => [ 'base' => '<p>The Auto Scaling group was specified in an invalid format or does not exist.</p>', 'refs' => [], ], 'InvalidBucketNameFilterException' => [ 'base' => '<p>The bucket name either doesn\'t exist or was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidDeployedStateFilterException' => [ 'base' => '<p>The deployed state filter was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidDeploymentConfigNameException' => [ 'base' => '<p>The deployment configuration name was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidDeploymentGroupNameException' => [ 'base' => '<p>The deployment group name was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidDeploymentIdException' => [ 'base' => '<p>At least one of the deployment IDs was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidDeploymentStatusException' => [ 'base' => '<p>The specified deployment status doesn\'t exist or cannot be determined.</p>', 'refs' => [], ], 'InvalidEC2TagException' => [ 'base' => '<p>The tag was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidIamUserArnException' => [ 'base' => '<p>The IAM user ARN was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidInstanceNameException' => [ 'base' => '<p>The specified on-premises instance name was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidInstanceStatusException' => [ 'base' => '<p>The specified instance status does not exist.</p>', 'refs' => [], ], 'InvalidKeyPrefixFilterException' => [ 'base' => '<p>The specified key prefix filter was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidMinimumHealthyHostValueException' => [ 'base' => '<p>The minimum healthy instance value was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidNextTokenException' => [ 'base' => '<p>The next token was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidOperationException' => [ 'base' => '<p>An invalid operation was detected.</p>', 'refs' => [], ], 'InvalidRegistrationStatusException' => [ 'base' => '<p>The registration status was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidRevisionException' => [ 'base' => '<p>The revision was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidRoleException' => [ 'base' => '<p>The service role ARN was specified in an invalid format. Or, if an Auto Scaling group was specified, the specified service role does not grant the appropriate permissions to Auto Scaling.</p>', 'refs' => [], ], 'InvalidSortByException' => [ 'base' => '<p>The column name to sort by is either not present or was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidSortOrderException' => [ 'base' => '<p>The sort order was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidTagException' => [ 'base' => '<p>The specified tag was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidTagFilterException' => [ 'base' => '<p>The specified tag filter was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidTimeRangeException' => [ 'base' => '<p>The specified time range was specified in an invalid format.</p>', 'refs' => [], ], 'InvalidTriggerConfigException' => [ 'base' => '<p>The trigger was specified in an invalid format.</p>', 'refs' => [], ], 'Key' => [ 'base' => NULL, 'refs' => [ 'EC2TagFilter$Key' => '<p>The tag filter key.</p>', 'Tag$Key' => '<p>The tag\'s key.</p>', 'TagFilter$Key' => '<p>The on-premises instance tag filter key.</p>', ], ], 'LifecycleErrorCode' => [ 'base' => NULL, 'refs' => [ 'Diagnostics$errorCode' => '<p>The associated error code:</p> <ul> <li>Success: The specified script ran.</li> <li>ScriptMissing: The specified script was not found in the specified location.</li> <li>ScriptNotExecutable: The specified script is not a recognized executable file type.</li> <li>ScriptTimedOut: The specified script did not finish running in the specified time period.</li> <li>ScriptFailed: The specified script failed to run as expected.</li> <li>UnknownError: The specified script did not run for an unknown reason.</li> </ul>', ], ], 'LifecycleEvent' => [ 'base' => '<p>Information about a deployment lifecycle event.</p>', 'refs' => [ 'LifecycleEventList$member' => NULL, ], ], 'LifecycleEventList' => [ 'base' => NULL, 'refs' => [ 'InstanceSummary$lifecycleEvents' => '<p>A list of lifecycle events for this instance.</p>', ], ], 'LifecycleEventName' => [ 'base' => NULL, 'refs' => [ 'LifecycleEvent$lifecycleEventName' => '<p>The deployment lifecycle event name, such as ApplicationStop, BeforeInstall, AfterInstall, ApplicationStart, or ValidateService.</p>', ], ], 'LifecycleEventStatus' => [ 'base' => NULL, 'refs' => [ 'LifecycleEvent$status' => '<p>The deployment lifecycle event status:</p> <ul> <li>Pending: The deployment lifecycle event is pending.</li> <li>InProgress: The deployment lifecycle event is in progress.</li> <li>Succeeded: The deployment lifecycle event ran successfully.</li> <li>Failed: The deployment lifecycle event has failed.</li> <li>Skipped: The deployment lifecycle event has been skipped.</li> <li>Unknown: The deployment lifecycle event is unknown.</li> </ul>', ], ], 'LifecycleHookLimitExceededException' => [ 'base' => '<p>The limit for lifecycle hooks was exceeded.</p>', 'refs' => [], ], 'LifecycleMessage' => [ 'base' => NULL, 'refs' => [ 'Diagnostics$message' => '<p>The message associated with the error.</p>', ], ], 'ListApplicationRevisionsInput' => [ 'base' => '<p>Represents the input of a list application revisions operation.</p>', 'refs' => [], ], 'ListApplicationRevisionsOutput' => [ 'base' => '<p>Represents the output of a list application revisions operation.</p>', 'refs' => [], ], 'ListApplicationsInput' => [ 'base' => '<p>Represents the input of a list applications operation.</p>', 'refs' => [], ], 'ListApplicationsOutput' => [ 'base' => '<p>Represents the output of a list applications operation.</p>', 'refs' => [], ], 'ListDeploymentConfigsInput' => [ 'base' => '<p>Represents the input of a list deployment configurations operation.</p>', 'refs' => [], ], 'ListDeploymentConfigsOutput' => [ 'base' => '<p>Represents the output of a list deployment configurations operation.</p>', 'refs' => [], ], 'ListDeploymentGroupsInput' => [ 'base' => '<p>Represents the input of a list deployment groups operation.</p>', 'refs' => [], ], 'ListDeploymentGroupsOutput' => [ 'base' => '<p>Represents the output of a list deployment groups operation.</p>', 'refs' => [], ], 'ListDeploymentInstancesInput' => [ 'base' => '<p>Represents the input of a list deployment instances operation.</p>', 'refs' => [], ], 'ListDeploymentInstancesOutput' => [ 'base' => '<p>Represents the output of a list deployment instances operation.</p>', 'refs' => [], ], 'ListDeploymentsInput' => [ 'base' => '<p>Represents the input of a list deployments operation.</p>', 'refs' => [], ], 'ListDeploymentsOutput' => [ 'base' => '<p>Represents the output of a list deployments operation.</p>', 'refs' => [], ], 'ListOnPremisesInstancesInput' => [ 'base' => '<p>Represents the input of a list on-premises instances operation.</p>.', 'refs' => [], ], 'ListOnPremisesInstancesOutput' => [ 'base' => '<p>Represents the output of list on-premises instances operation.</p>', 'refs' => [], ], 'ListStateFilterAction' => [ 'base' => NULL, 'refs' => [ 'ListApplicationRevisionsInput$deployed' => '<p>Whether to list revisions based on whether the revision is the target revision of an deployment group:</p> <ul> <li>include: List revisions that are target revisions of a deployment group.</li> <li>exclude: Do not list revisions that are target revisions of a deployment group.</li> <li>ignore: List all revisions.</li> </ul>', ], ], 'LogTail' => [ 'base' => NULL, 'refs' => [ 'Diagnostics$logTail' => '<p>The last portion of the diagnostic log.</p> <p>If available, AWS CodeDeploy returns up to the last 4 KB of the diagnostic log.</p>', ], ], 'Message' => [ 'base' => NULL, 'refs' => [ 'StopDeploymentOutput$statusMessage' => '<p>An accompanying status message.</p>', ], ], 'MinimumHealthyHosts' => [ 'base' => '<p>Information about minimum healthy instance.</p>', 'refs' => [ 'CreateDeploymentConfigInput$minimumHealthyHosts' => '<p>The minimum number of healthy instances that should be available at any time during the deployment. There are two parameters expected in the input: type and value.</p> <p>The type parameter takes either of the following values:</p> <ul> <li>HOST_COUNT: The value parameter represents the minimum number of healthy instances as an absolute value.</li> <li>FLEET_PERCENT: The value parameter represents the minimum number of healthy instances as a percentage of the total number of instances in the deployment. If you specify FLEET_PERCENT, at the start of the deployment, AWS CodeDeploy converts the percentage to the equivalent number of instance and rounds up fractional instances.</li> </ul> <p>The value parameter takes an integer.</p> <p>For example, to set a minimum of 95% healthy instance, specify a type of FLEET_PERCENT and a value of 95.</p>', 'DeploymentConfigInfo$minimumHealthyHosts' => '<p>Information about the number or percentage of minimum healthy instance.</p>', ], ], 'MinimumHealthyHostsType' => [ 'base' => NULL, 'refs' => [ 'MinimumHealthyHosts$type' => '<p>The minimum healthy instance type:</p> <ul> <li>HOST_COUNT: The minimum number of healthy instance as an absolute value.</li> <li>FLEET_PERCENT: The minimum number of healthy instance as a percentage of the total number of instance in the deployment.</li> </ul> <p>In an example of nine instance, if a HOST_COUNT of six is specified, deploy to up to three instances at a time. The deployment will be successful if six or more instances are deployed to successfully; otherwise, the deployment fails. If a FLEET_PERCENT of 40 is specified, deploy to up to five instance at a time. The deployment will be successful if four or more instance are deployed to successfully; otherwise, the deployment fails.</p> <note>In a call to the get deployment configuration operation, CodeDeployDefault.OneAtATime will return a minimum healthy instance type of MOST_CONCURRENCY and a value of 1. This means a deployment to only one instance at a time. (You cannot set the type to MOST_CONCURRENCY, only to HOST_COUNT or FLEET_PERCENT.) In addition, with CodeDeployDefault.OneAtATime, AWS CodeDeploy will try to ensure that all instances but one are kept in a healthy state during the deployment. Although this allows one instance at a time to be taken offline for a new deployment, it also means that if the deployment to the last instance fails, the overall deployment still succeeds.</note>', ], ], 'MinimumHealthyHostsValue' => [ 'base' => NULL, 'refs' => [ 'MinimumHealthyHosts$value' => '<p>The minimum healthy instance value.</p>', ], ], 'NextToken' => [ 'base' => NULL, 'refs' => [ 'ListApplicationRevisionsInput$nextToken' => '<p>An identifier returned from the previous list application revisions call. It can be used to return the next set of applications in the list.</p>', 'ListApplicationRevisionsOutput$nextToken' => '<p>If a large amount of information is returned, an identifier will also be returned. It can be used in a subsequent list application revisions call to return the next set of application revisions in the list.</p>', 'ListApplicationsInput$nextToken' => '<p>An identifier returned from the previous list applications call. It can be used to return the next set of applications in the list.</p>', 'ListApplicationsOutput$nextToken' => '<p>If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list applications call to return the next set of applications, will also be returned. in the list.</p>', 'ListDeploymentConfigsInput$nextToken' => '<p>An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list. </p>', 'ListDeploymentConfigsOutput$nextToken' => '<p>If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment configurations call to return the next set of deployment configurations in the list.</p>', 'ListDeploymentGroupsInput$nextToken' => '<p>An identifier returned from the previous list deployment groups call. It can be used to return the next set of deployment groups in the list.</p>', 'ListDeploymentGroupsOutput$nextToken' => '<p>If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment groups call to return the next set of deployment groups in the list.</p>', 'ListDeploymentInstancesInput$nextToken' => '<p>An identifier returned from the previous list deployment instances call. It can be used to return the next set of deployment instances in the list.</p>', 'ListDeploymentInstancesOutput$nextToken' => '<p>If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployment instances call to return the next set of deployment instances in the list.</p>', 'ListDeploymentsInput$nextToken' => '<p>An identifier returned from the previous list deployments call. It can be used to return the next set of deployments in the list.</p>', 'ListDeploymentsOutput$nextToken' => '<p>If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list deployments call to return the next set of deployments in the list.</p>', 'ListOnPremisesInstancesInput$nextToken' => '<p>An identifier returned from the previous list on-premises instances call. It can be used to return the next set of on-premises instances in the list.</p>', 'ListOnPremisesInstancesOutput$nextToken' => '<p>If a large amount of information is returned, an identifier is also returned. It can be used in a subsequent list on-premises instances call to return the next set of on-premises instances in the list.</p>', ], ], 'RegisterApplicationRevisionInput' => [ 'base' => '<p>Represents the input of a register application revision operation.</p>', 'refs' => [], ], 'RegisterOnPremisesInstanceInput' => [ 'base' => '<p>Represents the input of the register on-premises instance operation.</p>', 'refs' => [], ], 'RegistrationStatus' => [ 'base' => NULL, 'refs' => [ 'ListOnPremisesInstancesInput$registrationStatus' => '<p>The registration status of the on-premises instances:</p> <ul> <li>Deregistered: Include deregistered on-premises instances in the resulting list.</li> <li>Registered: Include registered on-premises instances in the resulting list.</li> </ul>', ], ], 'RemoveTagsFromOnPremisesInstancesInput' => [ 'base' => '<p>Represents the input of a remove tags from on-premises instances operation.</p>', 'refs' => [], ], 'Repository' => [ 'base' => NULL, 'refs' => [ 'GitHubLocation$repository' => '<p>The GitHub account and repository pair that stores a reference to the commit that represents the bundled artifacts for the application revision. </p> <p>Specified as account/repository.</p>', ], ], 'RevisionDoesNotExistException' => [ 'base' => '<p>The named revision does not exist with the applicable IAM user or AWS account.</p>', 'refs' => [], ], 'RevisionInfo' => [ 'base' => '<p>Information about an application revision.</p>', 'refs' => [ 'RevisionInfoList$member' => NULL, ], ], 'RevisionInfoList' => [ 'base' => NULL, 'refs' => [ 'BatchGetApplicationRevisionsOutput$revisions' => '<p>Additional information about the revisions, including the type and location.</p>', ], ], 'RevisionLocation' => [ 'base' => '<p>Information about the location of an application revision.</p>', 'refs' => [ 'CreateDeploymentInput$revision' => '<p>The type and location of the revision to deploy.</p>', 'DeploymentGroupInfo$targetRevision' => '<p>Information about the deployment group\'s target revision, including type and location.</p>', 'DeploymentInfo$revision' => '<p>Information about the location of stored application artifacts and the service from which to retrieve them.</p>', 'GetApplicationRevisionInput$revision' => '<p>Information about the application revision to get, including type and location.</p>', 'GetApplicationRevisionOutput$revision' => '<p>Additional information about the revision, including type and location.</p>', 'RegisterApplicationRevisionInput$revision' => '<p>Information about the application revision to register, including type and location.</p>', 'RevisionInfo$revisionLocation' => NULL, 'RevisionLocationList$member' => NULL, ], ], 'RevisionLocationList' => [ 'base' => NULL, 'refs' => [ 'BatchGetApplicationRevisionsInput$revisions' => '<p>Information to get about the application revisions, including type and location.</p>', 'ListApplicationRevisionsOutput$revisions' => '<p>A list of locations that contain the matching revisions.</p>', ], ], 'RevisionLocationType' => [ 'base' => NULL, 'refs' => [ 'RevisionLocation$revisionType' => '<p>The type of application revision:</p> <ul> <li>S3: An application revision stored in Amazon S3.</li> <li>GitHub: An application revision stored in GitHub.</li> </ul>', ], ], 'RevisionRequiredException' => [ 'base' => '<p>The revision ID was not specified.</p>', 'refs' => [], ], 'Role' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupInput$serviceRoleArn' => '<p>A service role ARN that allows AWS CodeDeploy to act on the user\'s behalf when interacting with AWS services.</p>', 'DeploymentGroupInfo$serviceRoleArn' => '<p>A service role ARN.</p>', 'UpdateDeploymentGroupInput$serviceRoleArn' => '<p>A replacement ARN for the service role, if you want to change it.</p>', ], ], 'RoleRequiredException' => [ 'base' => '<p>The role ID was not specified.</p>', 'refs' => [], ], 'S3Bucket' => [ 'base' => NULL, 'refs' => [ 'ListApplicationRevisionsInput$s3Bucket' => '<p>An Amazon S3 bucket name to limit the search for revisions.</p> <p>If set to null, all of the user\'s buckets will be searched.</p>', 'S3Location$bucket' => '<p>The name of the Amazon S3 bucket where the application revision is stored.</p>', ], ], 'S3Key' => [ 'base' => NULL, 'refs' => [ 'ListApplicationRevisionsInput$s3KeyPrefix' => '<p>A key prefix for the set of Amazon S3 objects to limit the search for revisions.</p>', 'S3Location$key' => '<p>The name of the Amazon S3 object that represents the bundled artifacts for the application revision.</p>', ], ], 'S3Location' => [ 'base' => '<p>Information about the location of application artifacts stored in Amazon S3.</p>', 'refs' => [ 'RevisionLocation$s3Location' => NULL, ], ], 'ScriptName' => [ 'base' => NULL, 'refs' => [ 'Diagnostics$scriptName' => '<p>The name of the script.</p>', ], ], 'SortOrder' => [ 'base' => NULL, 'refs' => [ 'ListApplicationRevisionsInput$sortOrder' => '<p>The order in which to sort the list results:</p> <ul> <li>ascending: ascending order.</li> <li>descending: descending order.</li> </ul> <p>If not specified, the results will be sorted in ascending order.</p> <p>If set to null, the results will be sorted in an arbitrary order.</p>', ], ], 'StopDeploymentInput' => [ 'base' => '<p>Represents the input of a stop deployment operation.</p>', 'refs' => [], ], 'StopDeploymentOutput' => [ 'base' => '<p>Represents the output of a stop deployment operation.</p>', 'refs' => [], ], 'StopStatus' => [ 'base' => NULL, 'refs' => [ 'StopDeploymentOutput$status' => '<p>The status of the stop deployment operation:</p> <ul> <li>Pending: The stop operation is pending.</li> <li>Succeeded: The stop operation was successful.</li> </ul>', ], ], 'Tag' => [ 'base' => '<p>Information about a tag.</p>', 'refs' => [ 'TagList$member' => NULL, ], ], 'TagFilter' => [ 'base' => '<p>Information about an on-premises instance tag filter.</p>', 'refs' => [ 'TagFilterList$member' => NULL, ], ], 'TagFilterList' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupInput$onPremisesInstanceTagFilters' => '<p>The on-premises instance tags on which to filter.</p>', 'DeploymentGroupInfo$onPremisesInstanceTagFilters' => '<p>The on-premises instance tags on which to filter.</p>', 'ListOnPremisesInstancesInput$tagFilters' => '<p>The on-premises instance tags that will be used to restrict the corresponding on-premises instance names returned.</p>', 'UpdateDeploymentGroupInput$onPremisesInstanceTagFilters' => '<p>The replacement set of on-premises instance tags on which to filter, if you want to change them. To keep the existing tags, enter their names. To remove tags, do not enter any tag names.</p>', ], ], 'TagFilterType' => [ 'base' => NULL, 'refs' => [ 'TagFilter$Type' => '<p>The on-premises instance tag filter type:</p> <ul> <li>KEY_ONLY: Key only.</li> <li>VALUE_ONLY: Value only.</li> <li>KEY_AND_VALUE: Key and value.</li> </ul>', ], ], 'TagLimitExceededException' => [ 'base' => '<p>The maximum allowed number of tags was exceeded.</p>', 'refs' => [], ], 'TagList' => [ 'base' => NULL, 'refs' => [ 'AddTagsToOnPremisesInstancesInput$tags' => '<p>The tag key-value pairs to add to the on-premises instances.</p> <p>Keys and values are both required. Keys cannot be null or empty strings. Value-only tags are not allowed.</p>', 'InstanceInfo$tags' => '<p>The tags currently associated with the on-premises instance.</p>', 'RemoveTagsFromOnPremisesInstancesInput$tags' => '<p>The tag key-value pairs to remove from the on-premises instances.</p>', ], ], 'TagRequiredException' => [ 'base' => '<p>A tag was not specified.</p>', 'refs' => [], ], 'TimeRange' => [ 'base' => '<p>Information about a time range.</p>', 'refs' => [ 'ListDeploymentsInput$createTimeRange' => '<p>A time range (start and end) for returning a subset of the list of deployments.</p>', ], ], 'Timestamp' => [ 'base' => NULL, 'refs' => [ 'ApplicationInfo$createTime' => '<p>The time at which the application was created.</p>', 'DeploymentConfigInfo$createTime' => '<p>The time at which the deployment configuration was created.</p>', 'DeploymentInfo$createTime' => '<p>A timestamp indicating when the deployment was created.</p>', 'DeploymentInfo$startTime' => '<p>A timestamp indicating when the deployment was deployed to the deployment group.</p> <p>In some cases, the reported value of the start time may be later than the complete time. This is due to differences in the clock settings of back-end servers that participate in the deployment process.</p>', 'DeploymentInfo$completeTime' => '<p>A timestamp indicating when the deployment was complete.</p>', 'GenericRevisionInfo$firstUsedTime' => '<p>When the revision was first used by AWS CodeDeploy.</p>', 'GenericRevisionInfo$lastUsedTime' => '<p>When the revision was last used by AWS CodeDeploy.</p>', 'GenericRevisionInfo$registerTime' => '<p>When the revision was registered with AWS CodeDeploy.</p>', 'InstanceInfo$registerTime' => '<p>The time at which the on-premises instance was registered.</p>', 'InstanceInfo$deregisterTime' => '<p>If the on-premises instance was deregistered, the time at which the on-premises instance was deregistered.</p>', 'InstanceSummary$lastUpdatedAt' => '<p>A timestamp indicating when the instance information was last updated.</p>', 'LifecycleEvent$startTime' => '<p>A timestamp indicating when the deployment lifecycle event started.</p>', 'LifecycleEvent$endTime' => '<p>A timestamp indicating when the deployment lifecycle event ended.</p>', 'TimeRange$start' => '<p>The start time of the time range.</p> <note>Specify null to leave the start time open-ended.</note>', 'TimeRange$end' => '<p>The end time of the time range.</p> <note>Specify null to leave the end time open-ended.</note>', ], ], 'TriggerConfig' => [ 'base' => '<p>Information about notification triggers for the deployment group.</p>', 'refs' => [ 'TriggerConfigList$member' => NULL, ], ], 'TriggerConfigList' => [ 'base' => NULL, 'refs' => [ 'CreateDeploymentGroupInput$triggerConfigurations' => '<p>Information about triggers to create when the deployment group is created.</p>', 'DeploymentGroupInfo$triggerConfigurations' => '<p>A list of associated triggers. </p>', 'UpdateDeploymentGroupInput$triggerConfigurations' => '<p>Information about triggers to change when the deployment group is updated.</p>', ], ], 'TriggerEventType' => [ 'base' => NULL, 'refs' => [ 'TriggerEventTypeList$member' => NULL, ], ], 'TriggerEventTypeList' => [ 'base' => NULL, 'refs' => [ 'TriggerConfig$triggerEvents' => '<p>The event type or types for which notifications are triggered.</p> <p>The following event type values are supported:</p> <ul> <li>DEPLOYMENT_START</li> <li>DEPLOYMENT_SUCCESS</li> <li>DEPLOYMENT_FAILURE</li> <li>DEPLOYMENT_STOP</li> <li>INSTANCE_START</li> <li>INSTANCE_SUCCESS</li> <li>INSTANCE_FAILURE</li> </ul>', ], ], 'TriggerName' => [ 'base' => NULL, 'refs' => [ 'TriggerConfig$triggerName' => '<p>The name of the notification trigger.</p>', ], ], 'TriggerTargetArn' => [ 'base' => NULL, 'refs' => [ 'TriggerConfig$triggerTargetArn' => '<p>The ARN of the Amazon Simple Notification Service topic through which notifications about deployment or instance events are sent.</p>', ], ], 'TriggerTargetsLimitExceededException' => [ 'base' => '<p>The maximum allowed number of triggers was exceeded.</p>', 'refs' => [], ], 'UpdateApplicationInput' => [ 'base' => '<p>Represents the input of an update application operation.</p>', 'refs' => [], ], 'UpdateDeploymentGroupInput' => [ 'base' => '<p>Represents the input of an update deployment group operation.</p>', 'refs' => [], ], 'UpdateDeploymentGroupOutput' => [ 'base' => '<p>Represents the output of an update deployment group operation.</p>', 'refs' => [], ], 'Value' => [ 'base' => NULL, 'refs' => [ 'EC2TagFilter$Value' => '<p>The tag filter value.</p>', 'Tag$Value' => '<p>The tag\'s value.</p>', 'TagFilter$Value' => '<p>The on-premises instance tag filter value.</p>', ], ], 'VersionId' => [ 'base' => NULL, 'refs' => [ 'S3Location$version' => '<p>A specific version of the Amazon S3 object that represents the bundled artifacts for the application revision.</p> <p>If the version is not specified, the system will use the most recent version by default.</p>', ], ], ],];
